<?php require_once('../auth/auth.php');require_once('../auth/acid_balance.php');?>
<?php 
if(isset($_POST['sal_invoice'])){
   $invoice    = $_POST['sal_invoice'];
   $tdate      = $_POST['tdate'].' '.$time;
   $c_acid     = $_POST['c_acid'];
   $f_acid     = $_POST['f_acid'];
   $d_acid     = $_POST['d_acid'];
   $discount   = ($_POST['sldiscount']>0)?$_POST['sldiscount']:0;
   $delivary_c = ($_POST['delivary_c']>0)?$_POST['delivary_c']:0;
   $m_acid     = $_POST['m_acid'];
   $payment    = $_POST['slpayment'];
   $details    = $_POST['details'];
   $wh_id      = $_POST['wh_id'];
   $d_man      = $_POST['d_man'];
   $m_invoice  = $_POST['m_invoice'];
   $net_amount = $_POST['sl_totalc'];
   $sltype     = $_POST['sltype'];
   
   
  
   

  
    $chinvoice=mysqli_query($conn,"SELECT invoice FROM transaction WHERE coid='$coid' AND invoice='$invoice' LIMIT 1");
    if (mysqli_num_rows($chinvoice)>0 || $net_amount < 0.01) {}else {

    mysqli_query($conn,"INSERT INTO `order_list`(`coid`, `bid`, `brid`, `acid`, `invoice`, `order_type`, `wh_id`, `pro_id`, `item_code`, `pro_type`, `plus`, `qty`, `pro_unit`, `unit_val`, `out_qty`, `run_qty`, `pu_price`, `avg_price`, `sale_price`, `discount`, `dis_amount`, `amount`, `net_amount`, `t_amount`, `tax`, `profit`, `details`, `d_man`, `userid`, `datetime`, `active`) SELECT `coid`, `bid`, `brid`, '$c_acid', `invoice`, 'ECOM', '$wh_id', `pro_id`, `item_code`, `pro_type`, `plus`, (qty*unit_val), `pro_unit`, `unit_val`, `out_qty`, `run_qty`, `pu_price`, `avg_price`, `sale_price`, `discount`, `dis_amount`, `amount`, `net_amount`, `t_amount`, `tax`, `profit`, `details`, '$d_man','$uid', '$tdate', 1 FROM `order_list_edit` WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND invoice='$invoice'") or die(mysqli_error($conn));
   

      $c_gcatid= mysqli_fetch_assoc(mysqli_query($conn,"SELECT gcatid FROM accounts WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND acid='$c_acid' LIMIT 1"))['gcatid'];

      $sl_row= mysqli_fetch_assoc(mysqli_query($conn,"SELECT acid,gcatid FROM accounts WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND ac_type='sale' LIMIT 1"));
      $sl_acid   = $sl_row['acid'];
      $sl_gcatid = $sl_row['gcatid'];

      $inv_row= mysqli_fetch_assoc(mysqli_query($conn,"SELECT acid,gcatid FROM accounts WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND ac_type='stock' LIMIT 1"));
      $inv_acid   = $inv_row['acid'];
      $inv_gcatid = $inv_row['gcatid'];

      $cogs_row= mysqli_fetch_assoc(mysqli_query($conn,"SELECT acid,gcatid FROM accounts WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND ac_type='cogs' LIMIT 1"));
      $cogs_acid   = $cogs_row['acid'];
      $cogs_gcatid = $cogs_row['gcatid'];

      $avg_total= mysqli_fetch_assoc(mysqli_query($conn,"SELECT SUM(avg_price*qty) avg_cost FROM order_list WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND invoice='$invoice'"))['avg_cost'];

      mysqli_query($conn,"INSERT INTO transaction(coid,bid,brid,dr_acid,cr_acid,e_acid,dr_gcatid,cr_gcatid,invoice,m_invoice,ttype,details,note,amount,date,ptime,userid,em_id,active) 
          VALUES ('$coid','$bid','$brid','$c_acid', '$sl_acid', '$uid', '$c_gcatid', '$sl_gcatid', '$invoice','$m_invoice', LEFT('$invoice ',4),'$details','esale','$net_amount','$tdate','$time','$uid','$us_em_id','1'),
          ('$coid','$bid','$brid','$cogs_acid', '$inv_acid', '$uid', '$cogs_gcatid', '$inv_gcatid', '$invoice','$m_invoice', 'COGS','$details','esale','$avg_total','$tdate','$time','$uid','$uid','1')") or die(mysqli_error($conn));

      mysqli_query($conn,"DELETE FROM order_list_edit WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND invoice='$invoice'") or die(mysqli_error($conn));

        if ($f_acid>0 && $delivary_c>0) {

          $f_gcatid= mysqli_fetch_assoc(mysqli_query($conn,"SELECT gcatid FROM accounts WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND acid='$f_acid' LIMIT 1"))['gcatid'];

           mysqli_query($conn,"INSERT INTO transaction(coid,bid,brid,dr_acid,cr_acid,e_acid,dr_gcatid,cr_gcatid,invoice,m_invoice,ttype,details,note,amount,date,ptime,userid,em_id,active) 
          VALUES ('$coid','$bid','$brid','$c_acid', '$f_acid', '$uid', '$c_gcatid', '$f_gcatid', '$invoice','$m_invoice', 'R','Delevery Charge','esale_delivary','$delivary_c','$tdate','$time','$uid','$us_em_id','1')") or die(mysqli_error($conn));

        $tmp_f = balance($f_acid)['ac_balance'];
        $f_acid_balance = (@$tmp_f)?$tmp_f:0;
        mysqli_query($conn,"UPDATE accounts SET balance='$f_acid_balance' WHERE coid='$coid' AND acid ='$f_acid'") or die(mysqli_error($conn));
        }

        if ($d_acid>0 && $discount>0) {

          $d_gcatid= mysqli_fetch_assoc(mysqli_query($conn,"SELECT gcatid FROM accounts WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND acid='$d_acid' LIMIT 1"))['gcatid'];

           mysqli_query($conn,"INSERT INTO transaction(coid,bid,brid,dr_acid,cr_acid,e_acid,dr_gcatid,cr_gcatid,invoice,m_invoice,ttype,details,note,amount,date,ptime,userid,em_id,active) 
          VALUES ('$coid','$bid','$brid','$d_acid', '$c_acid', '$uid', '$d_gcatid', '$c_gcatid', '$invoice','$m_invoice', 'P','Sales Discount','esale_discount','$discount','$tdate','$time','$uid','$uid','1')") or die(mysqli_error($conn));

        $tmp_d = balance($d_acid)['ac_balance'];
        $d_acid_balance = (@$tmp_d)?$tmp_d:0;
        mysqli_query($conn,"UPDATE accounts SET balance='$d_acid_balance' WHERE coid='$coid' AND acid ='$d_acid'") or die(mysqli_error($conn));
        }

        if ($m_acid>0 && $payment>0) {

          $m_gcatid= mysqli_fetch_assoc(mysqli_query($conn,"SELECT gcatid FROM accounts WHERE coid='$coid' AND bid='$bid' AND brid='$brid' AND acid='$m_acid' LIMIT 1"))['gcatid'];

           mysqli_query($conn,"INSERT INTO transaction(coid,bid,brid,dr_acid,cr_acid,e_acid,dr_gcatid,cr_gcatid,invoice,m_invoice,ttype,details,note,amount,date,ptime,userid,em_id,active) 
          VALUES ('$coid','$bid','$brid','$m_acid', '$c_acid', '$uid', '$m_gcatid', '$c_gcatid', '$invoice', '$m_invoice', 'R_E','Sales Receive','esale_payment','$payment','$tdate','$time','$uid','$uid','1')") or die(mysqli_error($conn));

        $tmp_m = balance($m_acid)['ac_balance'];
        $m_acid_balance = (@$tmp_m)?$tmp_m:0;
        mysqli_query($conn,"UPDATE accounts SET balance='$m_acid_balance' WHERE coid='$coid' AND acid ='$m_acid'") or die(mysqli_error($conn));

        }        

        $tmp_inv  = balance($inv_acid)['ac_balance'];
        $tmp_c    = balance($c_acid)['ac_balance'];
        $tmp_sl   = balance($sl_acid)['ac_balance'];
        $tmp_cogs = balance($cogs_acid)['ac_balance'];

        $inv_acid_balance  = (@$tmp_inv)?$tmp_inv:0;
        $c_acid_balance    = (@$tmp_c)?$tmp_c:0;
        $sl_acid_balance   = (@$tmp_sl)?$tmp_sl:0;
        $cogs_acid_balance = (@$tmp_cogs)?$tmp_cogs:0;

        mysqli_query($conn,"UPDATE accounts SET balance='$inv_acid_balance' WHERE coid='$coid' AND acid ='$inv_acid'") or die(mysqli_error($conn));
        mysqli_query($conn,"UPDATE accounts SET balance='$c_acid_balance' WHERE coid='$coid' AND acid ='$c_acid'") or die(mysqli_error($conn)); 
        mysqli_query($conn,"UPDATE accounts SET balance='$sl_acid_balance' WHERE coid='$coid' AND acid ='$sl_acid'") or die(mysqli_error($conn));
        mysqli_query($conn,"UPDATE accounts SET balance='$cogs_acid_balance' WHERE coid='$coid' AND acid ='$cogs_acid'") or die(mysqli_error($conn));     




                mysqli_query($conn,"INSERT INTO `eco_status`(`coid`, `bid`, `brid`, `invoice`,`order_type`,`delivary_address`, `date`, `status`) VALUES ('$coid','$bid','$brid','$invoice','ECOM','$details','$datetime','2')") or die(mysqli_error($conn)); 




      
        if (isset($_POST['email'])) {
          // Email Part Here
        }
        
        ///////

        if (isset($_POST['sms'])){
            $smssend=   $_POST['sms'];
            if ($smssend =='yes') {
                if (isset($_POST['c_gsm'])) {
                     $PhoneNumber =$_POST['c_gsm'];
                     $smstext= mysqli_fetch_assoc(mysqli_query($conn,"SELECT smstext FROM sms_tamp_all WHERE  status=1 AND type='ECSL' AND coid='$coid' AND bid='$bid' AND brid='$brid' LIMIT 1 "))['smstext'];  
                   
                     $content_val   = [$net_amount,$discount,$payment];
                     $content_var   = ["%invoice%","%discount%","%payment%"]; 
                     $newmsg = str_replace($content_var, $content_val, $smstext);
                     $msgmsg = urlencode($newmsg);
                } else {
                     $prebalance= $c_acid_balance+$payment;
                     $PhoneNumber = mysqli_fetch_array(mysqli_query($conn,"SELECT ac_number FROM accounts WHERE  acid='$c_acid' LIMIT 1 "))['ac_number'];
                     $smstext= mysqli_fetch_assoc(mysqli_query($conn,"SELECT smstext FROM sms_tamp_all WHERE  status=1 AND type='ERSL' AND coid='$coid' AND bid='$bid' AND brid='$brid' LIMIT 1 "))['smstext'];  
   
                     $content_val   = [$net_amount,$discount,$prebalance,$payment,$c_acid_balance];
                     $content_var   = ["%invoice%","%discount%","%prebalance%","%payment%","%lastbalance%"]; 
                     $newmsg = str_replace($content_var, $content_val, $smstext);
                     $msgmsg = urlencode($newmsg);
                }
                     if ($msgmsg && strlen($PhoneNumber) >= 11 && strlen($PhoneNumber) <= 14){require_once('../sms/api_key_access.php');}
            }
        }
        /////


  }
}
?>
